Subject: Re: git 2.54 fails to build for rhel 6 (2.53 builds fine)

From: Phillip Wood <[email-masked]>
Date: Thu, 7 May 2026 11:02:44 +0100

On 06/05/2026 23:28, Азат Усманов wrote:
> any chance someone could show what commit causing the issue, since 2.53 builds ok. Ive looked through the changelog for 2.54 didn't see anythihg specific that migh cause this.

The compiler errors you are seeing are complaining that it cannot find a 
function that was added in openssl 3.0 and as brain has already said it 
looks like git is linking to an older version of openssl. So if you have 
openssl version 3.5.6 installed the configure script is not finding it. 
You need to tell the build process where to find the libraries you want 
it to use, either by passing that information to configure, or by using 
the makefile directly and setting the appropiate compiler flags.

Thanks

Phillip